Brivio API reference
Rewards

Newest ledger movements of a member, up to 200 (scope: rewards:read)

GET
/rewards/members/{ref}/history

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

ref*string

customer:<uuid> for an end customer of your organization, otherwise your own external id (URL-encode it).

Lengthlength <= 200

Query Parameters

limit?integer
Range1 <= value <= 200
Default50

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/rewards/members/string/history"
{  "data": [    {      "txnId": 0,      "kind": "string",      "units": 0,      "ruleKey": "string",      "memo": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}